︠c50ab63f-492b-456d-a452-e62c523936c0i︠
%html
<p><strong>Bij het artikel: "On the representation of Natural Numbers as Sums of Squares",</strong></p>
<p><strong>Americ. Math. Monthly, 112, feb 2005, L. Panaitopol</strong></p>

︡ba4c17aa-4957-4c51-88a4-0e842a1009e2︡{"html": "<p><strong>Bij het artikel: \"On the representation of Natural Numbers as Sums of Squares\",</strong></p>\n<p><strong>Americ. Math. Monthly, 112, feb 2005, L. Panaitopol</strong></p>"}︡
︠97710710-0101-4467-93bf-e5c96c7bccb8︠
def CkThm1(lim):
    R = set([])
    for i in range(lim):
        for j in range(lim):
            for k in range(lim):
                R.add(F(i,j,k))
    Rtotlimsquare = set(range(lim^2)).difference(R)
    evendeelR = Rtotlimsquare.difference(set[0,2,4,..,lim^2])
    return evendeelR
︡537187a5-1417-47ea-8fc1-699ff8abb7b7︡︡
︠188183f7-3a86-4a7d-9a1b-5f2a414bddfc︠
def F(x,y,z): return x^2+y^2+2*z^2
︡51ecce70-1918-45ca-be43-78efb46d021a︡︡
︠37a8c1af-c23e-403a-a4e2-d41c9b0c2c56︠
CkThm1(100);
︡b1b41ac3-1d49-4e05-9569-70f6303ec7a5︡{"stdout": "set([])"}︡
︠456fed1c-1bd1-419c-b772-116a32e87a72︠
def F(x,y,z): return x^2+2*y^2+3*z^2
︡c651ec6c-66d0-4936-bffe-8690451d6083︡︡
︠c38d4176-0864-4361-acc8-9181d5519c18︠
CkThm1(100)
︡687dd605-2853-40c5-9c4b-3c72a4e5c0c7︡{"stdout": "set([])"}︡
︠960993cb-b2ae-40d8-9564-b4492bf81eb4︠
def F(x,y,z): return x^2+2*y^2+4*z^2
︡de1d3431-9dd6-4e08-9d14-341f8b26ff58︡︡
︠2f839116-6381-44f1-87e4-9fea45a9ee51︠
CkThm1(100)
︡3d593d27-e637-405b-b174-3ac5e8409783︡{"stdout": "set([])"}︡
︠0513e0c0-0b4c-483e-941d-4c2cc99a8202i︠
%html
<p>De bovenstaande drie checks bevestigen Thm1 voor de oneven getallen t/m 100. Een andere kwadratische functie zou dus niet alle oneven getallen meer kunnen representeren. We testen een voorbeeld.</p>

︡ffe14598-9e0e-424f-a764-7d1075cad108︡{"html": "<p>De bovenstaande drie checks bevestigen Thm1 voor de oneven getallen t/m 100. Een andere kwadratische functie zou dus niet alle oneven getallen meer kunnen representeren. We testen een voorbeeld.</p>"}︡
︠57386138-1f97-48fc-bb49-1a782e13f157︠
def F(x,y,z): return x^2+3*y^2+4*z^2
︡7aef32d9-b6ec-4ecf-b1d7-2ac53b8ac6d6︡︡
︠e2b3f6dc-85ee-4cc1-a94d-fbe76d15759c︠
CkThm1(20)
︡87379580-3dd2-4e5d-9f0a-70c814894d85︡{"stdout": "set([135, 393, 267, 141, 15, 285, 159, 33, 297, 303, 177, 51, 321, 195, 69, 339, 213, 87, 357, 231, 105, 375, 249, 123])"}︡
︠0d618604-3e2f-4e38-8d48-677a0b5c2f3ci︠
%html
<p>Nu gaan we Thm2 controleren.</p>

︡9676ba94-1413-407c-b226-4ac2339eb550︡{"html": "<p>Nu gaan we Thm2 controleren.</p>"}︡
︠656249df-83d6-45be-b264-8fd6bf48febd︠
def CkThm2(lim):
    R = set([])
    for i in range(lim):
        for j in range(lim):
            for k in range(lim):
                R.add(F(i,j,k))
    Rtotlimsquare = set(range(lim^2)).difference(R)
    onevendeelR = Rtotlimsquare.difference(set[1,3,5,..,lim^2])
    return onevendeelR
︡9d136dfd-c0c3-4e90-80a9-1618539590b5︡︡
︠6d1c5568-d50b-4a02-8a23-a50dc030704f︠
def F(x,y,z): return x^2+y^2+z^2
︡d7a3eaab-d004-45a6-a4a7-9c42228eabba︡︡
︠f00f5f3a-32f8-416e-b313-5f71baf96ac3︠
CkThm2(20)
︡d5b5b53c-572f-4c00-8baf-4de6fdb1ed9a︡{"stdout": "set([368, 112, 156, 124, 28, 60, 240, 92, 188, 220, 252, 284, 316, 348, 380])"}︡
︠b339fed2-75ba-44db-bc7f-a7d7784c070ei︠
%html
<p>Dit confirmeert het resultaat van Gauss: de getallen die niet als som van drie kwadraten gerepresenteerd kunnen worden, zijn van de vorm 4^<em>i</em>*(8<em>k</em> + 7), voor <em>i</em> en <em>k</em> niet-negatief.</p>

︡6ed98200-681d-447d-bf8a-1c54ccb8a4fe︡{"html": "<p>Dit confirmeert het resultaat van Gauss: de getallen die niet als som van drie kwadraten gerepresenteerd kunnen worden, zijn van de vorm 4^<em>i</em>*(8<em>k</em> + 7), voor <em>i</em> en <em>k</em> niet-negatief.</p>"}︡
